Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRepositoryItem

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.csw.AbstractCSWRequest
              org.deegree.ogcwebservices.csw.discovery.GetRepositoryItem

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetRepositoryItem

extends AbstractCSWRequest

The `GetRepositoryItem` class encapsulates the data of a request for a repository item.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Constructor Summary
`GetRepositoryItem(String id, String version)`
`GetRepositoryItem(String id, String version, Map<String,String> vendorSpecificParameters, URI reposItem)` Creates a new `GetRepositoryItem` instance.

Method Summary
`static GetRepositoryItem` | `create(Map<String,String> kvp)` Creates a new `GetRepositoryItem` instance from the values stored in the submitted Map.
`URI` | `getRepositoryItemID()`
`String` | `getServiceName()` returns 'CSW' as service name

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequest
`getNSMappings`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetRepositoryItem

    public GetRepositoryItem(String id,
                             String version,
                             Map<String,String> vendorSpecificParameters,
                             URI reposItem)

  Creates a new `GetRepositoryItem` instance.

  Parameters:
    `id` -
    `version` -
    `vendorSpecificParameters` -
    `reposItem` - some uri identifying some ebrim extrinsic object

### GetRepositoryItem

    public GetRepositoryItem(String id,
                             String version)

Parameters:
  `id` - of the request
  `version` - of the csw

Method Detail

### create

    public static GetRepositoryItem create(Map<String,String> kvp)
                                    throws OGCWebServiceException

  Creates a new `GetRepositoryItem` instance from the values stored in the submitted Map. Keys (parameter names) in the Map must be uppercase.

  Parameters:
    `kvp` - Map containing the parameters
  Returns:
    a GetRepositoryItem instance with given id and values from the kvp
  Throws:
    `OGCWebServiceException`
  To do:
    evaluate vendorSpecificParameter

### getServiceName

    public String getServiceName()

  Description copied from class: `AbstractCSWRequest`
  returns 'CSW' as service name

  Specified by:
    `getServiceName` in interface `OGCWebServiceRequest`
  Overrides:
    `getServiceName` in class `AbstractCSWRequest`
  Returns:
    the value 'urn:x-ogc:specification:cswebrim:Service:OGC-CSW:ebRIM'

### getRepositoryItemID

    public URI getRepositoryItemID()

  Returns:
    the requested repository Item's id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org